aboutsummaryrefslogtreecommitdiff
path: root/test/powershell/install_modules.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/powershell/install_modules.sh')
-rw-r--r--test/powershell/install_modules.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/powershell/install_modules.sh b/test/powershell/install_modules.sh
new file mode 100644
index 0000000..0bb0172
--- /dev/null
+++ b/test/powershell/install_modules.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Import test library for `check` command
+source dev-container-features-test-lib
+
+# Extension-specific tests
+check "az.resources" pwsh -Command "(Get-Module -ListAvailable -Name Az.Resources).Version.ToString()"
+check "az.storage" pwsh -Command "(Get-Module -ListAvailable -Name Az.Storage).Version.ToString()"
+
+# Report result
+reportResults